module ftp_analysis
open ftp_end_to_end
--open ftp_reliable_transport

check TrustedBaseSuffices {
	FileTransferReq.trustedBase in OK implies FileTransferReq in OK
	} for 3 but exactly 1 Requirement, 2 FileSystem, 2 Client, 1 Network expect 0

run AllWorking {
	Property in OK
	} for 3 but exactly 1 Requirement, 2 FileSystem, 2 Client, 1 Network expect 1

run WorkingDespiteFailure {
	FileTransferReq in OK
	some Property - OK
	} for 3 but exactly 1 Requirement, 2 FileSystem, 2 Client, 1 Network expect 1

run WorkingDespiteBadNetwork {
	FileTransferReq + Client + FileSystem in OK
	Network not in OK
	/* provoke interesting case
	Network.inpackets & Hash = Network.outpackets & Hash
    some Network.inpackets & Block
    some Network.outpackets & Block
	*/
	} for 4 but exactly 1 Requirement, 2 FileSystem, 2 Client, 1 Network expect 1
