module ftp_reliable_transport
open ftp_shared

// simple file transfer system with network that provides reliable transfer

sig Sender_RT extends Sender {} {
	this in OK iff network.inpackets = blocks
	}

sig Receiver_RT extends Receiver {} {
	this in OK iff network.outpackets = blocks
	}

sig FileTransferReq extends FTP_Requirement {} {
	this in OK iff from.file.blocks = to.file.blocks
	}	

fact {
	FileTransferReq.trustedBase = Sender + Receiver + FileSystem + Network
	}
